发布时间 :2006-03-31 06:06:00
修订时间 :2011-03-07 21:33:18

[原文]SQL injection vulnerability in index.php in vscripts (aka Kuba Kunkiewicz) [V]Book (aka VBook) 2.0 allows remote attackers to execute arbitrary SQL commands via the x parameter.

[CNNVD]VBook 'Index.PHP' SQL注入漏洞(CNNVD-200603-537)

        在vscripts (又称Kuba Kunkiewicz) [V]Book (又称VBook) 2.0的index.php中存在SQL注入漏洞,远程攻击者可通过x参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2006-1174
(UNKNOWN)  XF  vbook-index-sql-injection(25519)
(UNKNOWN)  BID  17320
(UNKNOWN)  BUGTRAQ  20060411 [eVuln] [V]Book Multiple Vulnerabilities

- 漏洞信息

VBook 'Index.PHP' SQL注入漏洞
中危 SQL注入
2006-03-31 00:00:00 2006-03-31 00:00:00
        在vscripts (又称Kuba Kunkiewicz) [V]Book (又称VBook) 2.0的index.php中存在SQL注入漏洞,远程攻击者可通过x参数执行任意SQL命令。

- 公告与补丁


- 漏洞信息

[V]Book index.php x Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

[V]Book contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the index.php script not properly sanitizing user-supplied input to the 'x' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-03-29 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

VBook Index.PHP SQL Injection Vulnerability
Input Validation Error 17320
Yes No
2006-03-30 12:00:00 2006-04-11 10:02:00
Aliaksandr Hartsuyeu is credited with the discovery of this vulnerability.

- 受影响的程序版本 VBook 2.0

- 漏洞讨论

VBook is prone to an SQL-injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query.

A successful exploit could allow an attacker to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database implementation.

VBook version 2.0 is reported affected. Other versions may be vulnerable as well.

- 漏洞利用

This issue can be exploited through a web client.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 相关参考